/*-
 * ~~~~~~licensing~~~~~~
 * adapters-core
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.runtime.base.connecting.adapter.core.management;

import javax.management.NotCompliantMBeanException;
import javax.management.StandardMBean;

import ru.entaxy.esb.platform.base.management.core.api.EntaxyRuntimeTyped;
import ru.entaxy.esb.platform.runtime.base.connecting.adapter.core.api.Adapter;

//@TODO move string to constant
@EntaxyRuntimeTyped(name = "entaxy.runtime.adapter")
public class AdapterMBeanImpl extends StandardMBean implements AdapterMBean {
	
	protected Adapter adapter;
	
	public AdapterMBeanImpl(Adapter adapter) throws NotCompliantMBeanException {
		super(AdapterMBean.class);
		this.adapter = adapter;
	}
	
	@Override
	public String getId() {
		return adapter.getId();
	}

	@Override
	public boolean isInited() {
		return adapter.isInited();
	}

	@Override
	public String getName() {
		return adapter.getName();
	}

	@Override
	public String getDescription() {
		return adapter.getDescription();
	}
	
	
}
